RSpec.describe 'the fraction editting', type: :feature do
  it 'should allow to modify the fraction correctly' do
    visit('/')
    click_on('редактировать', id: 'edit-fraction-0')
    fill_in('Числитель', with: 10)
    fill_in('Знаменатель', with: 101)
    click_on('Изменить')
    expect(page).to have_content('10 / 101')
  end

  it 'should show errors when user inputs characters instead of numbers' do
    visit('/')
    click_on('редактировать', id: 'edit-fraction-0')
    fill_in('Числитель', with: 'abc')
    fill_in('Знаменатель', with: 19)
    click_on('Изменить')
    expect(page).to have_content('Ошибка ввода данных')
  end
end
