# frozen_string_literal: true

require 'fraction_list'
require 'fraction'

RSpec.describe FractionList do
  describe '#read_from_file' do
    it 'should read fractions from correct file' do
      list = FractionList.new
      file_name = 'non-existent'
      expect(File).to receive(:readlines).with(file_name).and_return(['1/2', '2/5'])
      list.read_from_file(file_name)
      expect(list.each.to_a).to eq([Fraction.new(1, 2), Fraction.new(2, 5)])
    end
  end

  describe '#summs' do
    
  end
end
