require 'fraction'

RSpec.describe Fraction do
  context '#initialize' do
    it 'should normalize fractions' do
      expect(Fraction.new(2, 4)).to eq(Fraction.new(1, 2))
    end

    it 'should correctly process fractions with 0 nominator' do
      expect(Fraction.new(0, 1)).to eq(Fraction.new(0, 1))
    end
  end
  
  context '#add' do
    it 'should return new fraction' do
      first = Fraction.new(3, 5)
      second = Fraction.new(2, 7)
      expect(first.sum(second)).to eq(Fraction.new(31, 35))
    end
  end
end
